--- !ruby/object:Puppet::Transaction::Report
  configuration_version: 1353069600
  host: machine.company.lan
  kind: apply
  logs: 
    - !ruby/object:Puppet::Util::Log
      file: /etc/puppet/modules/ssh/manifests/init.pp
      level: !ruby/sym notice
      line: 112
      message: "current_value notrun, should be 0 (noop)"
      source: "//machine.company.lan//Stage[main]/Ssh/Exec[add_pubkeys_if_needed]/returns"
      tags: 
        - notice
        - exec
        - add_pubkeys_if_needed
        - class
        - ssh
        - node
        - default
      time: 2012-11-16 17:48:20.329059 +01:00
    - !ruby/object:Puppet::Util::Log
      level: !ruby/sym notice
      message: Finished catalog run in 1.03 seconds
      source: //machine.company.lan/Puppet
      tags: 
        - notice
      time: 2012-11-16 17:48:20.347265 +01:00
  metrics: 
    resources: !ruby/object:Puppet::Util::Metric
      label: Resources
      name: resources
      values: 
        - - total
          - Total
          - 19
        - - out_of_sync
          - Out of sync
          - 1
    changes: !ruby/object:Puppet::Util::Metric
      label: Changes
      name: changes
      values: 
        - - total
          - Total
          - 0
    events: !ruby/object:Puppet::Util::Metric
      label: Events
      name: events
      values: 
        - - noop
          - Noop
          - 1
        - - total
          - Total
          - 1
    time: !ruby/object:Puppet::Util::Metric
      label: Time
      name: time
      values: 
        - - exec
          - Exec
          - 0.000916
        - - filebucket
          - Filebucket
          - 0.000249
        - - package
          - Package
          - 0.001021
        - - service
          - Service
          - 0.394067
        - - total
          - Total
          - 1.59548393463135
        - - file
          - File
          - 0.212078
        - - config_retrieval
          - Config retrieval
          - 0.984993934631348
        - - schedule
          - Schedule
          - 0.002159
  puppet_version: 2.6.16
  report_format: 2
  resource_statuses: 
    "Schedule[daily]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.00046
      events: []
      failed: false
      file: 
      line: 
      out_of_sync: false
      out_of_sync_count: 0
      resource: "Schedule[daily]"
      resource_type: Schedule
      skipped: false
      tags: 
        - schedule
        - daily
      time: 2012-11-16 17:48:20.258922 +01:00
      title: daily
    "File[rngd]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.070404
      events: []
      failed: false
      file: /etc/puppet/modules/rngd/manifests/init.pp
      line: 18
      out_of_sync: false
      out_of_sync_count: 0
      resource: "File[rngd]"
      resource_type: File
      skipped: false
      tags: 
        - file
        - rngd
        - class
        - node
        - default
      time: 2012-11-16 17:48:19.848415 +01:00
      title: rngd
    "Schedule[weekly]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.000375
      events: []
      failed: false
      file: 
      line: 
      out_of_sync: false
      out_of_sync_count: 0
      resource: "Schedule[weekly]"
      resource_type: Schedule
      skipped: false
      tags: 
        - schedule
        - weekly
      time: 2012-11-16 17:48:20.053015 +01:00
      title: weekly
    "Filebucket[puppet]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.000249
      events: []
      failed: false
      file: 
      line: 
      out_of_sync: false
      out_of_sync_count: 0
      resource: "Filebucket[puppet]"
      resource_type: Filebucket
      skipped: false
      tags: 
        - filebucket
        - puppet
      time: 2012-11-16 17:48:20.329856 +01:00
      title: puppet
    "Schedule[monthly]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.000437
      events: []
      failed: false
      file: 
      line: 
      out_of_sync: false
      out_of_sync_count: 0
      resource: "Schedule[monthly]"
      resource_type: Schedule
      skipped: false
      tags: 
        - schedule
        - monthly
      time: 2012-11-16 17:48:20.052019 +01:00
      title: monthly
    "Package[ntp]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.000542
      events: []
      failed: false
      file: /etc/puppet/modules/ntp/manifests/init.pp
      line: 13
      out_of_sync: false
      out_of_sync_count: 0
      resource: "Package[ntp]"
      resource_type: Package
      skipped: false
      tags: 
        - package
        - ntp
        - class
        - node
        - default
      time: 2012-11-16 17:48:20.123762 +01:00
      title: ntp
    "Schedule[hourly]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.000276
      events: []
      failed: false
      file: 
      line: 
      out_of_sync: false
      out_of_sync_count: 0
      resource: "Schedule[hourly]"
      resource_type: Schedule
      skipped: false
      tags: 
        - schedule
        - hourly
      time: 2012-11-16 17:48:20.331298 +01:00
      title: hourly
    "Package[ssh]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.000479
      events: []
      failed: false
      file: /etc/puppet/modules/ssh/manifests/init.pp
      line: 60
      out_of_sync: false
      out_of_sync_count: 0
      resource: "Package[ssh]"
      resource_type: Package
      skipped: false
      tags: 
        - package
        - ssh
        - class
        - node
        - default
      time: 2012-11-16 17:48:19.709869 +01:00
      title: ssh
    "Service[ssh]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.131289
      events: []
      failed: false
      file: /etc/puppet/modules/ssh/manifests/init.pp
      line: 76
      out_of_sync: false
      out_of_sync_count: 0
      resource: "Service[ssh]"
      resource_type: Service
      skipped: false
      tags: 
        - service
        - ssh
        - class
        - node
        - default
      time: 2012-11-16 17:48:19.712867 +01:00
      title: ssh
    "File[sshd_config]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.001668
      events: []
      failed: false
      file: /etc/puppet/modules/ssh/manifests/init.pp
      line: 68
      out_of_sync: false
      out_of_sync_count: 0
      resource: "File[sshd_config]"
      resource_type: File
      skipped: false
      tags: 
        - file
        - sshd_config
        - class
        - ssh
        - node
        - default
      time: 2012-11-16 17:48:19.710769 +01:00
      title: sshd_config
    "Schedule[never]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.00028
      events: []
      failed: false
      file: 
      line: 
      out_of_sync: false
      out_of_sync_count: 0
      resource: "Schedule[never]"
      resource_type: Schedule
      skipped: false
      tags: 
        - schedule
        - never
      time: 2012-11-16 17:48:20.330525 +01:00
      title: never
    "Schedule[puppet]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.000331
      events: []
      failed: false
      file: 
      line: 
      out_of_sync: false
      out_of_sync_count: 0
      resource: "Schedule[puppet]"
      resource_type: Schedule
      skipped: false
      tags: 
        - schedule
        - puppet
      time: 2012-11-16 17:48:20.122901 +01:00
      title: puppet
    "Service[ntpd]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.131078
      events: []
      failed: false
      file: /etc/puppet/modules/ntp/manifests/init.pp
      line: 28
      out_of_sync: false
      out_of_sync_count: 0
      resource: "Service[ntpd]"
      resource_type: Service
      skipped: false
      tags: 
        - service
        - ntpd
        - class
        - ntp
        - node
        - default
      time: 2012-11-16 17:48:20.126932 +01:00
      title: ntpd
    "File[/etc/ssh/user_ssh_keys.pub]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.06776
      events: []
      failed: false
      file: /etc/puppet/modules/ssh/manifests/init.pp
      line: 85
      out_of_sync: false
      out_of_sync_count: 0
      resource: "File[/etc/ssh/user_ssh_keys.pub]"
      resource_type: File
      skipped: false
      tags: 
        - file
        - class
        - ssh
        - node
        - default
      time: 2012-11-16 17:48:20.260111 +01:00
      title: /etc/ssh/user_ssh_keys.pub
    "File[/etc/ntp.conf]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.001552
      events: []
      failed: false
      file: /etc/puppet/modules/ntp/manifests/init.pp
      line: 21
      out_of_sync: false
      out_of_sync_count: 0
      resource: "File[/etc/ntp.conf]"
      resource_type: File
      skipped: false
      tags: 
        - file
        - class
        - ntp
        - node
        - default
      time: 2012-11-16 17:48:20.124777 +01:00
      title: /etc/ntp.conf
    "Exec[add_pubkeys_if_needed]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.000916
      events: 
        - !ruby/object:Puppet::Transaction::Event
          audited: false
          desired_value: 
            - "0"
          historical_value: 
          message: "current_value notrun, should be 0 (noop)"
          name: !ruby/sym executed_command
          previous_value: !ruby/sym notrun
          property: returns
          status: noop
          time: 2012-11-16 17:48:20.328948 +01:00
      failed: false
      file: /etc/puppet/modules/ssh/manifests/init.pp
      line: 112
      out_of_sync: true
      out_of_sync_count: 1
      resource: "Exec[add_pubkeys_if_needed]"
      resource_type: Exec
      skipped: false
      tags: 
        - exec
        - add_pubkeys_if_needed
        - class
        - ssh
        - node
        - default
      time: 2012-11-16 17:48:20.328492 +01:00
      title: add_pubkeys_if_needed
    "File[/etc/login.defs]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.068239
      events: []
      failed: false
      file: /etc/puppet/modules/base/manifests/security.pp
      line: 12
      out_of_sync: false
      out_of_sync_count: 0
      resource: "File[/etc/login.defs]"
      resource_type: File
      skipped: false
      tags: 
        - file
        - class
        - base::security
        - base
        - security
        - node
        - default
      time: 2012-11-16 17:48:20.054135 +01:00
      title: /etc/login.defs
    "Service[rngd]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.1317
      events: []
      failed: false
      file: /etc/puppet/modules/rngd/manifests/init.pp
      line: 25
      out_of_sync: false
      out_of_sync_count: 0
      resource: "Service[rngd]"
      resource_type: Service
      skipped: false
      tags: 
        - service
        - rngd
        - class
        - node
        - default
      time: 2012-11-16 17:48:19.919428 +01:00
      title: rngd
    "File[/etc/resolv.conf]": !ruby/object:Puppet::Resource::Status
      change_count: 0
      changed: false
      evaluation_time: 0.002455
      events: []
      failed: false
      file: /etc/puppet/modules/resolver/manifests/init.pp
      line: 37
      out_of_sync: false
      out_of_sync_count: 0
      resource: "File[/etc/resolv.conf]"
      resource_type: File
      skipped: false
      tags: 
        - file
        - class
        - resolver
        - node
        - default
      time: 2012-11-16 17:48:19.845322 +01:00
      title: /etc/resolv.conf
  status: unchanged
  time: 2012-11-16 17:48:17.757874 +01:00
